"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.XKCD = void 0;
const axios_1 = require("axios");
const XKCDAPI_1 = require("./XKCDAPI");
class XKCD {
    constructor(options) {
        this.options = Object.assign({ apiUrl: 'https://xkcd.com' }, options);
        this.apiClient = axios_1.default.create({ baseURL: this.options.apiUrl });
        this.api = new XKCDAPI_1.XKCDAPI(this.apiClient, this.options);
    }
    /**
     * Set a new API URL.
     * @param url The new API URL.
     */
    setApiUrl(newUrl) {
        this.apiClient.defaults.baseURL = newUrl;
    }
}
exports.XKCD = XKCD;
